sep = '-' * 45 + '\n'


print(sep + 'WYJĄTEK ZGŁOSZONY I PRZECHWYCONY')
try:
    x = 'hakować'[99]
except IndexError:
    print('wykonano except')
finally:
    print('wykonano finally')
print('po wykonaniu')


print(sep + 'WYJĄTEK NIE ZOSTAŁ ZGŁOSZONY')
try:
    x = 'hakować'[3]
except IndexError:
    print('wykonano except')
finally:
    print('wykonano finally')
print('po wykonaniu')


print(sep + 'WYJĄTEK NIE ZOSTAŁ ZGŁOSZONY, WYKONANO ELSE')
try:
    x = 'hakować'[3]
except IndexError:
    print('wykonano except')
else:
    print('wykonano else')
finally:
    print('wykonano finally')
print('po wykonaniu')


print(sep + 'WYJĄTEK ZGŁOSZONY, ALE NIEPRZECHWYCONY')
try:
    x = 1 / 0
except IndexError:
    print('wykonano except')
finally:
    print('wykonano finally')
print('po wykonaniu')

